Bug 962470 - Review Request: cdi-api11 - CDI APIs
Review Request: cdi-api11 - CDI APIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962839
  Show dependency treegraph
 
Reported: 2013-05-13 10:53 EDT by gil cattaneo
Modified: 2013-06-03 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: cdi-api11-1.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 23:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-13 10:53:33 EDT
Spec URL: http://gil.fedorapeople.org/cdi-api11.spec
SRPM URL: <srpm info here>
Description: APIs for CDI (Contexts and Dependency Injection for Java EE).
Fedora Account System Username: gil

Required by hibernate-validator 5.0.1.Final
Comment 2 Tom "spot" Callaway 2013-05-16 10:18:55 EDT
Review was done on the cdi-api11 package.

= Review =

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (487632079089c4f48ef20578a15f1cd24b396c06e5f9f925e636a5b953585e21)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs ok
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 3 gil cattaneo 2013-05-16 10:33:33 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: cdi-api11
Short Description: CDI APIs
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-16 11:34:04 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-05-16 13:37:24 EDT
cdi-api11-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cdi-api11-1.1-1.fc19
Comment 6 Fedora Update System 2013-05-16 13:55:54 EDT
cdi-api11-1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cdi-api11-1.1-1.fc18
Comment 7 Fedora Update System 2013-05-17 18:20:54 EDT
cdi-api11-1.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-05-25 23:39:57 EDT
cdi-api11-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-05-26 20:29:57 EDT
cdi-api11-1.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.